# getPublicKey()

**Method signature**

```dart
String getPublicKey(String privateKey);
```

**Parameters**

| Name       | Type   | Description                                         |
| ---------- | ------ | --------------------------------------------------- |
| privateKey | String | The Private Key from where to derive the Public Key |

**Example**

```dart
import 'package:circular_api/circular_api.dart';

void main() {
  final circular = CircularAPI();
  final privateKey = "0x248ea24763f3aeb2590114257b0b95ebc8fc40e287574aa25379bb24c6d661ec";

  final keys = circular.getPublicKey(privateKey);
}
```

**Result**

The result will be an object of type String:

```
04b92abae6932e0faa578231fe4f6d83237acccb09f5343a5455abfaf8e2091a989e64dae6e4ebb9f6a1be5bd48d0bab6dbc99641514f19ee43052ab27178fd9ce
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/dart/getpublickey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
